package com.songhua.system.service;

import java.util.List;
import com.songhua.system.domain.CruiseShipMapping;

/**
 * Service接口
 */
public interface ICruiseShipMappingService 
{
    /**
     * 详情
     */
    public CruiseShipMapping selectCruiseShipMappingById(String id);

    /**
     * 查询列表
     */
    public List<CruiseShipMapping> selectCruiseShipMappingList(CruiseShipMapping cruiseShipMapping);

    /**
     * 新增
     */
    public int insertCruiseShipMapping(CruiseShipMapping cruiseShipMapping);

    /**
     * 修改
     */
    public int updateCruiseShipMapping(CruiseShipMapping cruiseShipMapping);

    /**
     * 批量删除
     */
    public int deleteCruiseShipMappingByIds(String[] ids);

    /**
     * 删除信息
     */
    public int deleteCruiseShipMappingById(String id);
}
